{% extends 'base.html' %}

{% block title %}Suas Despesas - Meu Gerenciador de Finanças{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-md-10 mx-auto">
            <div class="card border-0 shadow-lg">
                <div class="card-header bg-primary text-white">
                    <h2>Suas Despesas</h2>
                </div>
                <div class="card-body">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>Data</th>
                                <th>Descrição</th>
                                <th>Categoria</th>
                                <th>Valor</th>
                                <th>Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Aqui você pode iterar sobre suas despesas e exibir cada uma -->
                            <tr>
                                <td>22/08/2023</td>
                                <td>Aluguel</td>
                                <td>Habitação</td>
                                <td>R$ 1000,00</td>
                                <td>
                                    <a href="{% url 'adicionar_despesa'%}" class="btn btn-sm btn-primary">Editar</a>
                                    <a href="{% url 'adicionar_despesa'%}" class="btn btn-sm btn-danger">Excluir</a>
                                </td>
                            </tr>
                            <!-- Repita para cada despesa -->
                            <tr>
                                <td>22/08/2023</td>
                                <td>Comprar Queijo</td>
                                <td>Alimentos</td>
                                <td>R$ 160,00</td>
                                <td>
                                    <a href="{% url 'adicionar_despesa'%}" class="btn btn-sm btn-primary">Editar</a>
                                    <a href="{% url 'adicionar_despesa'%}" class="btn btn-sm btn-danger">Excluir</a>
                                </td>
                            </tr>
                            <!-- Repita para cada despesa -->
                            <tr>
                                <td>22/08/2023</td>
                                <td>Comprar Vinho QUINTA DO MORGADO</td>
                                <td>Bebidas</td>
                                <td>R$ 60,00</td>
                                <td>
                                    <a href="{% url 'adicionar_despesa'%}" class="btn btn-sm btn-primary">Editar</a>
                                    <a href="{% url 'adicionar_despesa'%}" class="btn btn-sm btn-danger">Excluir</a>
                                </td>
                        </tbody>
                    </table>
                    <a href="{% url 'adicionar_despesa' %}" class="btn btn-success">Adicionar Despesa</a>
                    <a href="{% url 'perfil' %}" class="btn btn-success">Ir para o Perfil</a>
                </div>
            </div>
        </div>
    </div> 
{% endblock %}